[![Downloads Total](https://pepy.tech/badge/alexflipnote-py)](https://pepy.tech/project/alexflipnote-py)
[![Downloads Month](https://pepy.tech/badge/alexflipnote-py/month)](https://pepy.tech/project/alexflipnote-py)
[![Downloads Week](https://pepy.tech/badge/alexflipnote-py/week)](https://pepy.tech/project/alexflipnote-py)
[![PyPi Version](https://img.shields.io/pypi/v/alexflipnote.py.svg)](https://pypi.python.org/pypi/alexflipnote.py/)
[![MIT License](https://img.shields.io/apm/l/atomic-design-ui.svg?)](https://github.com/tterb/atomic-design-ui/blob/master/LICENSEs)

# AlexFlipnote.py

An easy-to-use Python Wrapper for the AlexFlipnote API

<img src="https://github.com/AlexFlipnote/alexflipnote.github.io/blob/master/public/images/branding/avatar.png?raw=true" alt="drawing" width="200"/>

## Recent Updates
Since December 12, 2021, AlexFlipnote's API will no longer be providing image generation endpoints and will only keep random images endpoints. The image generation endpoints have been made Open-sourced at [GitHub.com/Alexflipnote/alex_api_archive](<https://github.com/AlexFlipnote/alex_api_archive>).

**Original Annoucement in [AlexFlipnote's Discord][discord_alexflipnote]**:

![Screenshot](https://cdn.discordapp.com/attachments/757283952141664336/919599803560788050/unknown.png)

## Requirements

- Python 3.8 or above
- aiohttp (python3 -m pip install -U aiohttp)

## Installation

Install the package by doing one of the following commands:

**Using pip (recommended)**:

- `pip install alexflipnote.py -U`
- `python -m pip install alexflipnote.py -U`

## Documentation

See the full and detailed [docs here][docs]

## Links

[API][base_url] | [Changelogs][changelog] | [Examples][examples] | [Github][github] | [PyPi][pypi]

## Made by

This wrapper is made by **Soheab_#6240** (150665783268212746), DM me on Discord or join my server [here][discord_mine]
for anything related to this wrapper.

Join AlexFlipnote's server [here][discord_alexflipnote] to suggest or report anything on the API.

[docs]: https://github.com/Soheab/alexflipnote.py/blob/master/docs.md
[changelog]: https://github.com/Soheab/alexflipnote.py/blob/master/changelog.md
[examples]: https://github.com/Soheab/alexflipnote.py/blob/master/docs.md#examples
[embed_example]: https://github.com/Soheab/alexflipnote.py/blob/master/docs.md#embed
[base_url]: https://api.alexflipnote.dev
[github]: https://github.com/Soheab/alexflipnote.py
[pypi]: https://pypi.org/project/alexflipnote.py/
[discord_alexflipnote]: https://discord.gg/DpxkY3x
[discord_mine]: https://discord.gg/yCzcfju
